package domain

type AlibabaWdkCouponTemplateUpdateCouponTemplateCompatibleConfig struct {
	/*
	   是否要求优惠券在一天的23:59:59失效 1表示最后一秒失效     */
	ValidTillNight *int64 `json:"valid_till_night,omitempty" `

	/*
	   优惠券应用类型 pointCoupon：积分券     */
	ApplicationType *string `json:"application_type,omitempty" `
}

func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateCompatibleConfig) SetValidTillNight(v int64) *AlibabaWdkCouponTemplateUpdateCouponTemplateCompatibleConfig {
	s.ValidTillNight = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateCompatibleConfig) SetApplicationType(v string) *AlibabaWdkCouponTemplateUpdateCouponTemplateCompatibleConfig {
	s.ApplicationType = &v
	return s
}
